## org.apache.xpath.functions
Class FuncCeiling

    java.lang.Object
      org.apache.xpath.Expression
          org.apache.xpath.functions.Function
              org.apache.xpath.functions.FunctionOneArg
                  org.apache.xpath.functions.FuncCeiling

All Implemented Interfaces:
  java.io.Serializable, javax.xml.transform.SourceLocator, ExpressionNode, ExpressionOwner, XPathVisitable

    public class FuncCeiling

extends FunctionOneArg

Execute the Ceiling() function.

See Also:
  Serialized Form
Usage:
  **For advanced use only**

Constructor Summary
`FuncCeiling()`

Method Summary
`XObject` `execute(XPathContext xctxt)` Execute the function.

Methods inherited from class org.apache.xpath.functions.FunctionOneArg
`callArgVisitors, canTraverseOutsideSubtree, checkNumberArgs, deepEquals, fixupVariables, getArg0, getExpression, setArg, setExpression`

Methods inherited from class org.apache.xpath.functions.Function
`callVisitors, postCompileStep`

Methods inherited from class org.apache.xpath.Expression
`asIterator, asIteratorRaw, asNode, assertion, bool, error, execute, execute, execute, executeCharsToContentHandler, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getColumnNumber, getExpressionOwner, getLineNumber, getPublicId, getSystemId, isNodesetExpr, isStableNumber, num, warn, xstr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FuncCeiling

    public FuncCeiling()

Method Detail

### execute

    public XObject execute(XPathContext xctxt)
                    throws javax.xml.transform.TransformerException

  Execute the function. The function must return a valid object.

  Overrides:
    `execute` in class `Function`
  Parameters:
    `xctxt` - The current execution context.
  Returns:
    A valid XObject.
  Throws:
    `javax.xml.transform.TransformerException`

Copyright © 2005 Apache XML Project. All Rights Reserved.